Skip to content

Resolve the first visible user menu for the current caller or null.

GET
/api/workspace/runtime-menu/resolve
curl --request GET \
--url https://example.com/api/workspace/runtime-menu/resolve
  • None
access_token
string

Optional access token for clients that cannot set Authorization headers. Prefer Authorization: Bearer <token> when possible.

OK

Media typeapplication/json
object
Data

Resolved user menu block to prepend in the runtime navigation.

object
Id

Menu identifier.

string
nullable
Name

Menu display name.

string
nullable
Priority

Resolution priority.

integer format: int32
Items

Resolved visible nodes.

Array<object>
nullable

One resolved runtime-menu node for the runtime navigation.

object
Kind
integer format: int32
Allowed values: 0 1 2
SortOrder

Sibling sort order.

integer format: int32
Label

Display label.

string
nullable
Icon

MDI icon name.

string
nullable
LeafType
integer format: int32
Allowed values: 0 1 2 3
EntityDefinitionId

Target entity definition identifier.

string
nullable
Href

Absolute URL for external-link leaves.

string
nullable
PageCode

Frontend-owned page code for module-page leaves.

string
nullable
Children
Array<object> recursive
Errors
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Warnings
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Success
boolean
Example
{
"Data": {
"Items": [
{
"Kind": 0,
"LeafType": 0
}
]
},
"Errors": [
{
"Type": 0,
"Severity": 0
}
],
"Warnings": [
{
"Type": 0,
"Severity": 0
}
]
}

Forbidden

Media typeapplication/json
object
type
string
nullable
title
string
nullable
status
integer format: int32
nullable
detail
string
nullable
instance
string
nullable
key
additional properties
Examplegenerated
{
"type": "example",
"title": "example",
"status": 1,
"detail": "example",
"instance": "example"
}